#!/usr/bin/perl -w

use ExtUtils::testlib;

BEGIN { print "1..6\n"; }

use EDG::RLS;

die "Please set RLS_ENDPOINT!\n" unless exists($ENV{RLS_ENDPOINT});

my $rls = EDG::RLS->new($ENV{RLS_ENDPOINT});

my $guid = 'itisaguid';
my $surl1 = 'srm://test1';
my $surl2 = 'srm://test2';

print "Add mapping\n";
eval { $rls->addMapping($guid, $surl1); };
if ($@) { print $@; print "not "; } print "ok 1\n";

print "Add another mapping\n";
eval { $rls->addMapping($guid, $surl2); };
if ($@) { print $@; print "not "; } print "ok 2\n";

print "Get GUID for SURL\n";
eval { 
    my $guid2 = $rls->guidForPfn($surl1);
    print "we got $guid2\n";
    die "invalid guid" if $guid ne $guid2;
};
if ($@) { print $@; print "not "; } print "ok 3\n";

print "Get SURLs for GUID\n";
eval { 
    my $surls = $rls->getPfns($guid);
    print "we got ", join(', ', @$surls), "\n";
    die "surl is not returned " unless scalar(grep(/$surl1/, @$surls));
    die "surl is not returned " unless scalar(grep(/$surl2/, @$surls));
};
if ($@) { print $@; print "not "; } print "ok 4\n";


print "Remove mapping\n";
eval { $rls->removeMapping($guid, $surl1); };
if ($@) { print $@; print "not "; } print "ok 5\n";

print "Remove the other mapping\n";
eval { $rls->removeMapping($guid, $surl2); };
if ($@) { print $@; print "not "; } print "ok 6\n";

